# Poco::Data

# template < typename T >

# class Prepare

Library: Data
Package: DataCore
Header: Poco/Data/Prepare.h

## Description

Class for calling the appropriate AbstractPreparation method.

## Inheritance

Direct Base Classes: AbstractPrepare

All Base Classes: AbstractPrepare

## Member Summary

Member Functions: prepare

Inherited Functions: preparation, prepare

## Constructors

### Prepare

Prepare(
AbstractPreparation * pPrepare,
std::size_t pos,
const T & val
);

Creates the Prepare.

## Destructor

### ~Prepare

~Prepare();

Destroys the Prepare.

## Member Functions

### prepare

void prepare();

Prepares data.

See also: Poco::Data::AbstractPrepare::prepare()